diff -uNr mythtv-0.21/i18n/mythfrontend_fi.ts mythtv/i18n/mythfrontend_fi.ts
--- mythtv-0.21/i18n/mythfrontend_fi.ts	2008-03-04 04:48:46.000000000 +0100
+++ mythtv/i18n/mythfrontend_fi.ts	2008-04-04 01:47:54.000000000 +0200
@@ -9889,15 +9891,15 @@
     </message>
     <message>
         <source>Informational/Educational</source>
-        <translation type="unfinished"></translation>
+        <translation>Tiedotus/Koulutus</translation>
     </message>
     <message>
         <source>Cartoons/Puppets</source>
-        <translation type="unfinished"></translation>
+        <translation>Piirretty</translation>
     </message>
     <message>
         <source>Music/Ballet/Dance</source>
-        <translation type="unfinished"></translation>
+        <translation>Musiikki/Baletti/Tanssi</translation>
     </message>
     <message>
         <source>Rock/Pop</source>
@@ -9905,11 +9907,11 @@
     </message>
     <message>
         <source>Classical Music</source>
-        <translation type="unfinished"></translation>
+        <translation>Klassinen Musiikki</translation>
     </message>
     <message>
         <source>Folk Music</source>
-        <translation type="unfinished"></translation>
+        <translation>Kansanmusiikki</translation>
     </message>
     <message>
         <source>Jazz</source>
@@ -9917,39 +9919,39 @@
     </message>
     <message>
         <source>Musical/Opera</source>
-        <translation type="unfinished"></translation>
+        <translation>Musikaali/Ooppera</translation>
     </message>
     <message>
         <source>Ballet</source>
-        <translation type="unfinished"></translation>
+        <translation>Baletti</translation>
     </message>
     <message>
         <source>Arts/Culture</source>
-        <translation type="unfinished"></translation>
+        <translation>Taide/Kulttuuri</translation>
     </message>
     <message>
         <source>Performing Arts</source>
-        <translation type="unfinished"></translation>
+        <translation>Esitystaide</translation>
     </message>
     <message>
         <source>Fine Arts</source>
-        <translation type="unfinished"></translation>
+        <translation>Taide</translation>
     </message>
     <message>
         <source>Religion</source>
-        <translation type="unfinished"></translation>
+        <translation>Uskonnollinen</translation>
     </message>
     <message>
         <source>Popular Culture/Traditional Arts</source>
-        <translation type="unfinished"></translation>
+        <translation>Populäärikulttuuri</translation>
     </message>
     <message>
         <source>Literature</source>
-        <translation type="unfinished"></translation>
+        <translation>Kirjallisuus</translation>
     </message>
     <message>
         <source>Film/Cinema</source>
-        <translation type="unfinished"></translation>
+        <translation>Elokuva</translation>
     </message>
     <message>
         <source>Experimental Film/Video</source>
@@ -9957,135 +9959,135 @@
     </message>
     <message>
         <source>Broadcasting/Press</source>
-        <translation type="unfinished"></translation>
+        <translation>Julkaisu</translation>
     </message>
     <message>
         <source>New Media</source>
-        <translation type="unfinished"></translation>
+        <translation>Uusi Media</translation>
     </message>
     <message>
         <source>Arts/Culture Magazines</source>
-        <translation type="unfinished"></translation>
+        <translation>Taide/Kulttuuri</translation>
     </message>
     <message>
         <source>Social/Policical/Economics</source>
-        <translation type="unfinished"></translation>
+        <translation>Sosiaali/Politiikka/Ekonomia</translation>
     </message>
     <message>
         <source>Magazines/Reports/Documentary</source>
-        <translation type="unfinished"></translation>
+        <translation>Lehdet/Raportit/Dokumentit</translation>
     </message>
     <message>
         <source>Economics/Social Advisory</source>
-        <translation type="unfinished"></translation>
+        <translation>Ekonomia/Sosiaalinen Neuvo</translation>
     </message>
     <message>
         <source>Remarkable People</source>
-        <translation type="unfinished"></translation>
+        <translation>Erityiset Ihmiset</translation>
     </message>
     <message>
         <source>Education/Science/Factual</source>
-        <translation type="unfinished"></translation>
+        <translation>Koulutus/Tiede/Todellisuus</translation>
     </message>
     <message>
         <source>Nature/animals/Environment</source>
-        <translation type="unfinished"></translation>
+        <translation>Luonto/Eläimet/Ympäristö</translation>
     </message>
     <message>
         <source>Technology/Natural Sciences</source>
-        <translation type="unfinished"></translation>
+        <translation>Teknologia/Luonnontieteet</translation>
     </message>
     <message>
         <source>Medicine/Physiology/Psychology</source>
-        <translation type="unfinished"></translation>
+        <translation>Lääketiede/Psykologia</translation>
     </message>
     <message>
         <source>Foreign Countries/Expeditions</source>
-        <translation type="unfinished"></translation>
+        <translation>Vieraat Maat</translation>
     </message>
     <message>
         <source>Social/Spiritual Sciences</source>
-        <translation type="unfinished"></translation>
+        <translation>Sosiaaliset/Sprituaaliset Tieteet</translation>
     </message>
     <message>
         <source>Further Education</source>
-        <translation type="unfinished"></translation>
+        <translation>Koulutus</translation>
     </message>
     <message>
         <source>Languages</source>
-        <translation type="unfinished"></translation>
+        <translation>Kielet</translation>
     </message>
     <message>
         <source>Leisure/Hobbies</source>
-        <translation type="unfinished"></translation>
+        <translation>Vapaa-aika/Harrastukset</translation>
     </message>
     <message>
         <source>Tourism/Travel</source>
-        <translation type="unfinished"></translation>
+        <translation>Turismi/Matkailu</translation>
     </message>
     <message>
         <source>Handicraft</source>
-        <translation type="unfinished"></translation>
+        <translation>Käsityöt</translation>
     </message>
     <message>
         <source>Motoring</source>
-        <translation type="unfinished"></translation>
+        <translation>Moottoriajoneuvot</translation>
     </message>
     <message>
         <source>Fitness &amp; Health</source>
-        <translation type="unfinished"></translation>
+        <translation>Terveys &amp; Kuntoilu</translation>
     </message>
     <message>
         <source>Cooking</source>
-        <translation type="unfinished"></translation>
+        <translation>Ruoanlaitto</translation>
     </message>
     <message>
         <source>Advertizement/Shopping</source>
-        <translation type="unfinished"></translation>
+        <translation>Mainokset/Ostos</translation>
     </message>
     <message>
         <source>Gardening</source>
-        <translation type="unfinished"></translation>
+        <translation>Puutarhanhoito</translation>
     </message>
     <message>
         <source>Original Language</source>
-        <translation type="unfinished"></translation>
+        <translation>Vieras Kieli</translation>
     </message>
     <message>
         <source>Black &amp; White</source>
-        <translation type="unfinished"></translation>
+        <translation>Musta &amp; valkoinen</translation>
     </message>
     <message>
         <source>&quot;Unpublished&quot; Programmes</source>
-        <translation type="unfinished"></translation>
+        <translation>Ennen Julkaisematon</translation>
     </message>
     <message>
         <source>Live Broadcast</source>
-        <translation type="unfinished"></translation>
+        <translation>Suora Lähetys</translation>
     </message>
     <message>
         <source>currently running.</source>
-        <translation type="unfinished"></translation>
+        <translation>juuri lähetyksessä.</translation>
     </message>
     <message>
         <source>Successful.</source>
-        <translation type="unfinished"></translation>
+        <translation>Onnistui.</translation>
     </message>
     <message>
         <source>FAILED: xmltv ran but was interrupted.</source>
-        <translation type="unfinished"></translation>
+        <translation>Epäonnistui: xmltv ajoi mutta keskeytettiin.</translation>
     </message>
     <message>
         <source>FAILED: xmltv returned error code %1.</source>
-        <translation type="unfinished"></translation>
+        <translation>Epäonnistui: xmltv antoi virhekoodin %1.</translation>
     </message>
     <message>
         <source>mythfilldatabase ran, but did not insert any new data into the Guide for %1 of %2 sources. This can indicate a potential grabber failure.</source>
-        <translation type="unfinished"></translation>
+        <translation>mythfilldatabase ajoi, mutta ei toimittanut uusia ohjelmatietoja. Voi merkitä ongelmia.</translation>
     </message>
     <message>
         <source>Max Audio Channels</source>
-        <translation type="unfinished"></translation>
+        <translation>Max. Äänikanavia</translation>
     </message>
     <message>
         <source>5.1</source>
@@ -10125,11 +10127,11 @@
     </message>
     <message>
         <source>Run commercial flagger</source>
-        <translation type="unfinished"></translation>
+        <translation>Aja mainosten merkkaus</translation>
     </message>
     <message>
         <source>Run transcoder</source>
-        <translation type="unfinished"></translation>
+        <translation>Aja jälkikäsittely</translation>
     </message>
     <message>
         <source>Deferral days for Auto-Transcode jobs</source>
@@ -10141,7 +10143,7 @@
     </message>
     <message>
         <source>Run User Job #%1</source>
-        <translation type="unfinished"></translation>
+        <translation>Aja käyttäjän työ #%1</translation>
     </message>
     <message>
         <source>This is the default value used for the &apos;Run %1&apos; setting when a new scheduled recording is created.</source>
@@ -10149,7 +10151,7 @@
     </message>
     <message>
         <source>Merge short commercial breaks (in seconds)</source>
-        <translation type="unfinished"></translation>
+        <translation>Yhdistä lyhyet mainoskatkot (sekuntia)</translation>
     </message>
     <message>
         <source>Treat consecutive commercial breaks shorter than this as one break when skipping forward. Useful if you have to skip a few times during breaks. Applies to automatic skipping as well. Set to 0 to disable.</source>
@@ -10250,41 +10252,41 @@
     </message>
     <message>
         <source>Edit</source>
-        <translation type="unfinished">Muokkaa</translation>
+        <translation>Muokkaa</translation>
     </message>
     <message>
         <source>Add New Entry</source>
-        <translation type="unfinished"></translation>
+        <translation>Lisää Uusi</translation>
     </message>
     <message>
         <source>Playback Profiles</source>
-        <translation type="unfinished"></translation>
+        <translation>Toistoprofiilit</translation>
     </message>
     <message>
         <source>Current Video Playback Profile</source>
-        <translation type="unfinished"></translation>
+        <translation>Nykyinen Toistoprofiili</translation>
     </message>
     <message>
         <source>Add New</source>
-        <translation type="unfinished"></translation>
+        <translation>Lisää Uusi</translation>
     </message>
     <message>
         <source>Enter Playback Group Name</source>
-        <translation type="unfinished"></translation>
+        <translation>Anna Toistoryhmän Nimi</translation>
     </message>
     <message>
         <source>Sorry, playback group
 name can not be blank.</source>
-        <translation type="unfinished"></translation>
+        <translation>Toistoryhmän nimi ei voi olla tyhjä.</translation>
     </message>
     <message>
         <source>Sorry, playback group name
 &apos;%1&apos; is already being used.</source>
-        <translation type="unfinished"></translation>
+        <translation>Toistoryhmän nimi %1 on jo käytössä.</translation>
     </message>
     <message>
         <source>Error</source>
-        <translation type="unfinished"></translation>
+        <translation>Virhe</translation>
     </message>
     <message>
         <source>Length of time an on-screen display window will be visible.</source>
@@ -10632,47 +10634,47 @@
     </message>
     <message>
         <source>Yes, Exit and Reboot</source>
-        <translation type="unfinished"></translation>
+        <translation>Kyllä, Poistu ja Käynnistä Uudelleen</translation>
     </message>
     <message>
         <source>DVD contains a bookmark</source>
-        <translation type="unfinished"></translation>
+        <translation>DVD sisältää kirjanmerkin</translation>
     </message>
     <message>
         <source>Play from bookmark</source>
-        <translation type="unfinished">Toista kirjanmerkistä</translation>
+        <translation>Toista kirjanmerkistä</translation>
     </message>
     <message>
         <source>Play from beginning</source>
-        <translation type="unfinished">Toista alusta</translation>
+        <translation>Toista alusta</translation>
     </message>
     <message>
         <source>The file for this recording is empty.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämän nauhoituksen tiedosto on tyhjä.</translation>
     </message>
     <message>
         <source>This recording is not yet available.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä nauhoitus ei ole vielä saatavilla.</translation>
     </message>
     <message>
         <source>Move to Default group</source>
-        <translation type="unfinished"></translation>
+        <translation>Siirrä Oletus Ryhmään</translation>
     </message>
     <message>
         <source>Undelete</source>
-        <translation type="unfinished"></translation>
+        <translation>Palauta Poistettu</translation>
     </message>
     <message>
         <source>IP address</source>
-        <translation type="unfinished"></translation>
+        <translation>IP-osoite</translation>
     </message>
     <message>
         <source>Status Port</source>
-        <translation type="unfinished"></translation>
+        <translation>Tilaportti</translation>
     </message>
     <message>
         <source>Security Pin (Required)</source>
-        <translation type="unfinished"></translation>
+        <translation>PIN (vaadittu)</translation>
     </message>
     <message>
         <source>Pin code required for a frontend to connect to the backend. Blank prevents all connections, 0000 allows any client to connect.</source>
@@ -10741,19 +10743,19 @@
     </message>
     <message>
         <source>User Job #%1</source>
-        <translation type="unfinished"></translation>
+        <translation>Käyttäjän Työ #%1</translation>
     </message>
     <message>
         <source>Allow %1 jobs</source>
-        <translation type="unfinished"></translation>
+        <translation>Salli %1 Työtä</translation>
     </message>
     <message>
         <source>Master Backend</source>
-        <translation type="unfinished"></translation>
+        <translation>Palvelin</translation>
     </message>
     <message>
         <source>Locale Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Paikallisasetukset</translation>
     </message>
     <message>
         <source>Miscellaneous Settings</source>
@@ -10769,25 +10771,25 @@
     </message>
     <message>
         <source>Slave Backends</source>
-        <translation type="unfinished"></translation>
+        <translation>Orja-Asiakkaat</translation>
     </message>
     <message>
         <source>Job Queue (Backend-Specific)</source>
-        <translation type="unfinished"></translation>
+        <translation>Työjono</translation>
     </message>
     <message>
         <source>Tuner %1 is recording:
 </source>
-        <translation type="unfinished">Viritin %1 nauhoittaa:
+        <translation>Viritin %1 nauhoittaa:
 </translation>
     </message>
     <message>
         <source>Tuner %1 is not recording</source>
-        <translation type="unfinished">Viritin %1 ei nauhoita</translation>
+        <translation>Viritin %1 ei nauhoita</translation>
     </message>
     <message>
         <source>Date Format</source>
-        <translation type="unfinished"></translation>
+        <translation>Päivämäärän Muoto</translation>
     </message>
     <message>
         <source>This is the format to use to display the date. See http://doc.trolltech.com/3.3/qdate.html#toString for a list of valid format specifiers.</source>
@@ -10798,19 +10800,19 @@
     <name>RecOptDialog</name>
     <message>
         <source>Missing Element</source>
-        <translation type="unfinished"></translation>
+        <translation>Puuttuva Elementti</translation>
     </message>
     <message>
         <source>The theme you are using does not contain a &apos;recording_options&apos; element.  Please contact the theme creator and ask if they could please update it.&lt;br&gt;&lt;br&gt;The next screen will be empty.  Press EXIT to return to the menu.</source>
-        <translation type="unfinished"></translation>
+        <translation>Käytetty teema ei sisällä &apos;nauhoitusasetukset&apos;-elementtiä.</translation>
     </message>
     <message>
         <source>Unknown Element</source>
-        <translation type="unfinished"></translation>
+        <translation>Tuntematon Elementti</translation>
     </message>
     <message>
         <source>The theme you are using contains an unknown element (&apos;%1&apos;).  It will be ignored</source>
-        <translation type="unfinished">Käytetty teema sisältää tuntemattoman elementin (%1).
+        <translation>Käytetty teema sisältää tuntemattoman elementin (%1).
 
 Se ohitetaan</translation>
     </message>
@@ -10819,11 +10821,11 @@
     <name>RecordingProfileEditor</name>
     <message>
         <source>Add Recording Profile</source>
-        <translation type="unfinished"></translation>
+        <translation>Lisää Nauhoitusprofiili</translation>
     </message>
     <message>
         <source>Enter the name of the new profile</source>
-        <translation type="unfinished"></translation>
+        <translation>Uuden profiilin nimi</translation>
     </message>
 </context>
 <context>
@@ -10987,25 +10989,25 @@
     </message>
     <message>
         <source>M3U Import</source>
-        <translation type="unfinished"></translation>
+        <translation>M3U Tuonti</translation>
     </message>
 </context>
 <context>
     <name>ScanWizard</name>
     <message>
         <source>ScanWizard</source>
-        <translation type="unfinished"></translation>
+        <translation>ViritinVelho</translation>
     </message>
     <message>
         <source>Error parsing parameters</source>
-        <translation type="unfinished">Virhe parametreissa</translation>
+        <translation>Virhe parametreissa</translation>
     </message>
 </context>
 <context>
     <name>ScanWizardConfig</name>
     <message>
         <source>Scan Configuration</source>
-        <translation type="unfinished"></translation>
+        <translation>Viritinkonfiguraatio</translation>
     </message>
 </context>
 <context>
@@ -11019,15 +11021,15 @@
     <name>ScanWizardScanner</name>
     <message>
         <source>Scanning</source>
-        <translation type="unfinished">Selataan</translation>
+        <translation>Selataan</translation>
     </message>
     <message>
         <source>ScanWizard</source>
-        <translation type="unfinished">Viritysvelho</translation>
+        <translation>Viritysvelho</translation>
     </message>
     <message>
         <source>Error tuning to transport</source>
-        <translation type="unfinished">Virhe lähetysvirran virittämisessä</translation>
+        <translation>Virhe lähetysvirran virittämisessä</translation>
     </message>
     <message>
         <source>Error parsing parameters</source>
@@ -11035,7 +11037,7 @@
     </message>
     <message>
         <source>Error starting scan</source>
-        <translation type="unfinished">Virhe Etsinnässä</translation>
+        <translation>Virhe Etsinnässä</translation>
     </message>
     <message>
         <source>Failed to open : </source>
@@ -11047,11 +11049,11 @@
     </message>
     <message>
         <source>Failed to open &apos;%1&apos;</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei saatu avattua &apos;%1&apos;:stä</translation>
     </message>
     <message>
         <source>Failed to parse &apos;%1&apos;</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei saatu parsittua &apos;%1&apos;:stä</translation>
     </message>
 </context>
 <context>
@@ -11134,54 +11136,54 @@
     </message>
     <message>
         <source>%1 of these are LiveTV and consume %2</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 näistä on LiveTV ja käyttää %2</translation>
     </message>
     <message>
         <source>is unavailable</source>
-        <translation type="unfinished"></translation>
+        <translation>ei ole saatavilla</translation>
     </message>
     <message>
         <source>standard rules are defined</source>
-        <translation type="unfinished"></translation>
+        <translation>normisääntöä on määritelty</translation>
     </message>
     <message>
         <source>search rules are defined</source>
-        <translation type="unfinished"></translation>
+        <translation>hakusääntöä on määritelty</translation>
     </message>
     <message>
         <source>Scheduled Run Time:</source>
-        <translation type="unfinished"></translation>
+        <translation>Aikataulutettu Ajoaika:</translation>
     </message>
     <message>
         <source>marked as HDTV</source>
-        <translation type="unfinished"></translation>
+        <translation>Merkitty HDTV:ksi</translation>
     </message>
     <message>
         <source>from source</source>
-        <translation type="unfinished"></translation>
+        <translation>lähteestä</translation>
     </message>
     <message>
         <source>on input</source>
-        <translation type="unfinished"></translation>
+        <translation>sisääntulosta</translation>
     </message>
     <message>
         <source>%1 of these are Deleted and consume %2</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 näistä on poistettu ja käyttää %2</translation>
     </message>
 </context>
 <context>
     <name>StorageGroupEditor</name>
     <message>
         <source>&apos;%1&apos; Storage Group Directories</source>
-        <translation type="unfinished"></translation>
+        <translation>&apos;%1&apos; Tallennusryhmäkansiot</translation>
     </message>
     <message>
         <source>Local &apos;%1&apos; Storage Group Directories</source>
-        <translation type="unfinished"></translation>
+        <translation>Paikalliset &apos;%1&apos; Tallennusryhmäkansiot</translation>
     </message>
     <message>
         <source>Add Storage Group Directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Lisää Tallennusryhmäkansio</translation>
     </message>
     <message>
         <source>Enter directory name or press SELECT to enter text via the On Screen Keyboard</source>
@@ -11189,39 +11191,40 @@
     </message>
     <message>
         <source>Edit Storage Group Directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Muokkaa Tallennusryhmäkansiota</translation>
     </message>
     <message>
         <source>Remove &apos;%1&apos;
 Directory From Storage Group?</source>
-        <translation type="unfinished"></translation>
+        <translation>Poista &apos;%1&apos;
+Tallennusryhmäkansio?</translation>
     </message>
     <message>
         <source>Yes, remove directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Kyllä, poista kansio</translation>
     </message>
     <message>
         <source>No, Don&apos;t remove directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Ei, älä poista kansiota</translation>
     </message>
     <message>
         <source>(Add New Directory)</source>
-        <translation type="unfinished"></translation>
+        <translation>(Uusi Kansio)</translation>
     </message>
 </context>
 <context>
     <name>StorageGroupListEditor</name>
     <message>
         <source>Storage Groups (directories for new recordings)</source>
-        <translation type="unfinished"></translation>
+        <translation>Tallennusryhmät</translation>
     </message>
     <message>
         <source>Local Storage Groups (directories for new recordings)</source>
-        <translation type="unfinished"></translation>
+        <translation>Paikalliset Tallennusryhmät</translation>
     </message>
     <message>
         <source>Create New Storage Group</source>
-        <translation type="unfinished"></translation>
+        <translation>Luo uusi Tallennusryhmä</translation>
     </message>
     <message>
         <source>Enter group name or press SELECT to enter text via the On Screen Keyboard</source>
@@ -11229,19 +11232,19 @@
     </message>
     <message>
         <source>Delete &apos;%1&apos; Storage Group?</source>
-        <translation type="unfinished"></translation>
+        <translation>Poista &apos;%1&apos; Tallennusryhmä?</translation>
     </message>
     <message>
         <source>Yes, delete group</source>
-        <translation type="unfinished"></translation>
+        <translation>Kyllä, poista ryhmä</translation>
     </message>
     <message>
         <source>No, Don&apos;t delete group</source>
-        <translation type="unfinished">Älä poista</translation>
+        <translation>Älä poista</translation>
     </message>
     <message>
         <source>(Create %1 group)</source>
-        <translation type="unfinished"></translation>
+        <translation>(Luo %1 ryhmä)</translation>
     </message>
 </context>
 <context>
@@ -11468,11 +11471,11 @@
     </message>
     <message>
         <source>Auto-Expire OFF</source>
-        <translation>Aut. vanhentuminen pois</translation>
+        <translation>Aut. vanh. pois</translation>
     </message>
     <message>
         <source>Auto-Expire ON</source>
-        <translation>Aut. vanhentuminen päällä</translation>
+        <translation>Aut. vanh. päällä</translation>
     </message>
     <message>
         <source>Zoom Mode ON</source>
@@ -11536,7 +11539,7 @@
     </message>
     <message>
         <source>Commercial Auto-Skip</source>
-        <translation>Mainosten Automaattinen Sivuutus</translation>
+        <translation>Mainosten Aut. Ohitus</translation>
     </message>
     <message>
         <source>Turn Auto-Expire OFF</source>
@@ -11544,7 +11547,7 @@
     </message>
     <message>
         <source>Turn Auto-Expire ON</source>
-        <translation>Aut. Vanhentuminen Päälle</translation>
+        <translation>Aut. Vanhentuminen Päällä</translation>
     </message>
     <message>
         <source>Change Aspect Ratio</source>
@@ -11700,11 +11703,11 @@
     </message>
     <message>
         <source>Audio Sync</source>
-        <translation>Äänen Tahdistaminen</translation>
+        <translation>Äänen Tahdistus</translation>
     </message>
     <message>
         <source>Adjust Audio Sync</source>
-        <translation>Muokkaa Äänen Tahdistusta</translation>
+        <translation>Äänen Tahdistus</translation>
     </message>
     <message>
         <source>MythTV is already using all available inputs for the channel you selected. If you want to watch an in-progress recording, select one from the playback menu.  If you want to watch live TV, cancel one of the in-progress recordings from the delete menu.</source>
@@ -11781,20 +11784,20 @@
     </message>
     <message>
         <source>S/N %1dB</source>
-        <translation type="unfinished"></translation>
+        <translation>Kohina %1db</translation>
     </message>
     <message>
         <source>BE %1</source>
         <comment>Bit Errors</comment>
-        <translation type="unfinished"></translation>
+        <translation>BVirhe %1</translation>
     </message>
     <message>
         <source>Speed 16X</source>
-        <translation type="unfinished">Nopeus 16X</translation>
+        <translation>Nopeus 16X</translation>
     </message>
     <message>
         <source>Speed 8X</source>
-        <translation type="unfinished">Nopeus 8X</translation>
+        <translation>Nopeus 8X</translation>
     </message>
     <message>
         <source>Speed 4X</source>
